<project default="release">

	<property name="ebuild.home" location="."/>
	<property file="${ebuild.home}/interface/build.properties"/>
	<property name="classpath.import" value="classpath.ent"/>
	<import file="${ebuild.home}/interface/${classpath.import}"/>
	

	<!-- general options -->
	<property name="verbose" value=""/>
	<property name="debug" value=""/>
	<property name="no-skipping" value=""/>
			
	<!-- target -->
	<property name="org" value=""/>
	<property name="name" value=""/>
	<property name="tag" value=""/>
	<property name="branch" value=""/>
	<property name="revision" value=""/>
	<property name="confs" value=""/>
		
	<!-- output options -->
	<property name="output-directory" value=""/>
	<property name="output-library" value=""/>

	
	
	<target name="release">
		<java classname="ebuild.launch.DoRelease" fork="true">
			<arg value="home=${ebuild.home}"/>
						
			<!-- general options -->
			<arg value="verbose=${verbose}"/>
			<arg value="debug=${debug}"/>
			<arg value="no-skipping=${no-skipping}"/>
				    	
			<!-- target -->
			<arg value="org=${org}"/>
			<arg value="name=${name}"/>
			<arg value="tag=${tag}"/>
			<arg value="branch=${branch}"/>
			<arg value="revision=${revision}"/>
			<arg value="confs=${confs}"/>

			<!-- output options -->
			<arg value="output-directory=${output-directory}"/>
			<arg value="output-library=${output-library}"/>
			
			<sysproperty key="ebuild.core.path" value="${ebuild.core.path}"/>
			<classpath refid="ebuild.launch.path"/> 
	    </java> 
	</target>
</project>